# $Revision: 1.370 $, $Date: 2012/02/19 17:48:27 $
# TODO
# - initrd needs love (is probably completly unusable in current form)
# - udev stores it's data now to /run/udev, but that dir is not owned and not even on tmpfs
#
# Conditional build:
%bcond_without	initrd		# build without udev-initrd
%bcond_without	uClibc		# link initrd version with static uClibc
%bcond_with	klibc		# link initrd version with static klibc
%bcond_with	dietlibc	# link initrd version with static dietlibc (currently broken and unsupported)
%bcond_with	glibc		# link initrd version with static glibc
%bcond_without	selinux		# build without SELinux support

%ifarch sparc sparc64
%define		with_glibc 1
%endif

# if one of the *libc is enabled disable default uClibc
%if %{with dietlibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with glibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with klibc} && %{with uClibc}
%undefine	with_uClibc
%endif

Summary:	Device manager for the Linux 2.6 kernel series
Summary(pl.UTF-8):	Zarządca urządzeń dla Linuksa 2.6
Name:		udev
# Verify ChangeLog and NEWS when updating (since there are incompatible/breaking changes very often)
Version:	175
Release:	6
Epoch:		1
License:	GPL v2+
Group:		Base
Source0:	http://www.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
# Source0-md5:	2fc9c1efcbde98e3d73ffee7a77aea47
# rules
Source1:	%{name}-alsa.rules
Source2:	%{name}.rules
Source3:	%{name}-links.conf
# scripts / helpers
Source10:	%{name}-net.helper
Source11:	start_udev
# misc
Source20:	%{name}.blacklist
# initramfs
Source30:	%{name}-initramfs-bottom
Source31:	%{name}-initramfs-hook
Source32:	%{name}-initramfs-premount
Patch0:		%{name}-so.patch
Patch1:		%{name}-uClibc.patch
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.11
BuildRequires:	device-mapper-devel
BuildRequires:	glib2-devel >= 1:2.22.0
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 0.6.2
BuildRequires:	gperf
BuildRequires:	gtk-doc >= 1.10
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.17.13}
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libusb-compat-devel >= 0.1
BuildRequires:	libxslt-progs
BuildRequires:	pciutils
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.628
BuildRequires:	sed >= 4.0
BuildRequires:	usbutils >= 0.82
BuildRequires:	zlib-devel
%if %{with initrd}
BuildRequires:	acl-static
BuildRequires:	attr-static
%{?with_dietlibc:BuildRequires:	dietlibc-static}
BuildRequires:	glib2-static >= 1:2.22.0
%{?with_glibc:BuildRequires:	glibc-static}
%{?with_klibc:BuildRequires:	klibc-static}
%{?with_glibc:BuildRequires:	libselinux-static}
%{?with_glibc:BuildRequires:	libsepol-static}
BuildRequires:	libusb-compat-static >= 0.1
BuildRequires:	libusb-static
%{?with_klibc:BuildRequires:	linux-libc-headers}
BuildRequires:	pcre-static
%{?with_uClibc:BuildRequires:	uClibc-static >= 4:0.9.30.3}
%endif
# Build process broken - tries to links with system libs
# instead of just built libs. BC for now.
BuildConflicts:	udev-devel
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Provides:	dev = 3.5.0
Obsoletes:	dev
Obsoletes:	hotplug
Obsoletes:	hotplug-input
Obsoletes:	hotplug-net
Obsoletes:	hotplug-pci
Obsoletes:	udev-dev
Obsoletes:	udev-extras < 20090628
Obsoletes:	udev-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
udev is the device manager for the Linux 2.6 kernel series. Its
primary function is managing device nodes in /dev. It is the successor
of devfs and hotplug.

%description -l pl.UTF-8
udev jest zarządcą urządzeń dla Linuksa 2.6. Jego główną funkcją jest
zarządzanie węzłami urządzeń w katalogu /dev. Jest następcą devfs i
hotpluga.

%package acl
Summary:	Control device ACL via ConsoleKit
Summary(pl.UTF-8):	Zarządzanie uprawnieniami do urządzeń poprzez ConsoleKit
Group:		Base
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description acl
ConsoleKit hook to control permissions of system devices.

%description acl -l pl.UTF-8
Uchwyty ConsoleKit do zarządzania uprawnieniami urządzeń systemowych.

%package compat
Summary:	Compatibility rules for Linux kernels < 2.6.31
Summary(pl.UTF-8):	Reguły dla kompatybilości z jądrami Linuksa < 2.6.31
Group:		Base
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description compat
Compatibility rules for Linux kernels < 2.6.31.

%description compat -l pl.UTF-8
Reguły dla kompatybilości z jądrami Linuksa < 2.6.31.

%package core
Summary:	A userspace implementation of devfs - core part of udev
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - główna część udev
Group:		Base
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	coreutils
Requires:	filesystem >= 3.0-45
Requires:	setup >= 2.6.1-1
Requires:	systemd-units >= 0.38
Requires:	uname(release) >= 2.6.32
Suggests:	%{name}-compat
Conflicts:	udev < 1:118-1
Obsoletes:	udev-systemd

%description core
A userspace implementation of devfs - core part of udev.

%description core -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - główna część udev.

%package libs
Summary:	Shared library to access udev device information
Summary(pl.UTF-8):	Biblioteka współdzielona do dostępu do informacji o urządzeniach udev
Group:		Libraries

%description libs
Shared libudev library to access udev device information.

%description libs -l pl.UTF-8
Biblioteka współdzielona libudev służąca do dostępu do informacji o
urządzeniach udev.

%package devel
Summary:	Header file for libudev library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libudev
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Header file for libudev library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libudev.

%package static
Summary:	Static libudev library
Summary(pl.UTF-8):	Biblioteka statyczna libudev
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libudev library.

%description static -l pl.UTF-8
Biblioteka statyczna libudev.

%package apidocs
Summary:	libudev API documentation
Summary(pl.UTF-8):	Dokumentacja API libudev
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libudev API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libudev.

%package glib
Summary:	Shared libgudev library - GObject bindings for libudev
Summary(pl.UTF-8):	Biblioteka współdzielona libgudev - wiązania GObject do libudev
Group:		Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	glib2 >= 1:2.22.0

%description glib
Shared libgudev library - GObject bindings for libudev.

%description glib -l pl.UTF-8
Biblioteka współdzielona libgudev - wiązania GObject do libudev.

%package glib-devel
Summary:	Header file for libgudev library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libgudev
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-glib = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 1:2.22.0

%description glib-devel
Header file for libgudev library.

%description glib-devel -l pl.UTF-8
Plik nagłówkowy biblioteki libgudev.

%package glib-static
Summary:	Static libgudev library
Summary(pl.UTF-8):	Biblioteka statyczna libgudev
Group:		Development/Libraries
Requires:	%{name}-glib-devel = %{epoch}:%{version}-%{release}

%description glib-static
Static libgudev library.

%description glib-static -l pl.UTF-8
Biblioteka statyczna libgudev.

%package glib-apidocs
Summary:	libgudev API documentation
Summary(pl.UTF-8):	Dokumentacja API libgudev
Group:		Documentation
Requires:	gtk-doc-common

%description glib-apidocs
libgudev API documentation.

%description glib-apidocs -l pl.UTF-8
Dokumentacja API libgudev.

%package initrd
Summary:	A userspace implementation of devfs - static binary for initrd
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - statyczna binarka dla initrd
Group:		Base
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Conflicts:	geninitrd < 10000.10

%description initrd
A userspace implementation of devfs - static binary for initrd.

%description initrd -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - statyczna binarka dla
initrd.

%package initramfs
Summary:	A userspace implementation of devfs - support scripts for initramfs-tools
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - skrypty dla initramfs-tools
Group:		Base
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	initramfs-tools

%description initramfs
A userspace implementation of devfs - support scripts for
initramfs-tools.

%description initramfs -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - skrypty dla
initramfs-tools.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%if %{with initrd}
%configure \
%if "%{?configure_cache}" == "1"
	--cache-file=%{?configure_cache_file}%{!?configure_cache_file:configure}-initrd.cache \
%endif
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	%{?with_dietlibc:CC="diet %{__cc} %{rpmcflags} %{rpmldflags} -Os -D_BSD_SOURCE"} \
	%{?with_klibc:CC="%{_bindir}/klcc"} \
	%{?debug:--enable-debug} \
	--libexecdir=/lib/udev \
	--with-rootlibdir=/%{_lib} \
	--disable-rule_generator \
	--disable-hwdb \
	--disable-udev_acl \
	--disable-gudev \
	--disable-keymap \
	--disable-gtk-doc \
	--disable-introspection \
	--disable-logging \
	--disable-shared \
	--disable-silent-rules \
	--enable-static \
	--with-pci-ids-path=%{_sysconfdir}/pci.ids \
	--without-selinux

%{__make} \
	LDFLAGS="-all-static"

DEST=$(pwd)/udev-initrd
%{__make} -j1 install \
	DESTDIR=${DEST}

%{__make} clean
%endif

%configure \
	%{?debug:--enable-debug} \
	--libexecdir=/lib/udev \
	--with-html-dir=%{_gtkdocdir} \
	--with-rootlibdir=/%{_lib} \
	--disable-silent-rules \
	--enable-edd \
	--enable-action_modeswitch \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-floppy \
	--enable-udev_acl \
	--enable-logging \
	--enable-shared \
	--enable-static \
	--with-pci-ids-path=%{_sysconfdir}/pci.ids \
	--with-systemdsystemunitdir=%{systemdunitdir} \
	--with%{!?with_selinux:out}-selinux
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{modprobe.d,udev/rules.d} \
	$RPM_BUILD_ROOT/lib/udev/devices

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

ln -s /lib/udev/udevd $RPM_BUILD_ROOT%{_sbindir}/udevd

# install custom rules from pld package
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/40-alsa-restore.rules
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/70-udev-pld.rules

# compatibility rules for older kernels
cp -a rules/misc/30-kernel-compat.rules $RPM_BUILD_ROOT/lib/udev/rules.d/30-kernel-compat.rules

# install configs
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/udev/links.conf

# install executables (scripts, helpers, etc.)
install -p %{SOURCE10} $RPM_BUILD_ROOT/lib/udev/net_helper
install -p %{SOURCE11} $RPM_BUILD_ROOT%{_sbindir}/start_udev

# install misc
cp -a %{SOURCE20} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/udev_blacklist.conf

install -d $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/{hooks,scripts/init-{bottom,premount}}
# install support for initramfs-tools
install -p %{SOURCE30} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/scripts/init-bottom/udev
install -p %{SOURCE31} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/hooks/udev
install -p %{SOURCE32} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/scripts/init-premount/udev

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libdir}/initrd/udev
install -p udev-initrd/sbin/udevadm $RPM_BUILD_ROOT%{_libdir}/initrd
install -p udev-initrd/lib/udev/udevd $RPM_BUILD_ROOT%{_libdir}/initrd
ln -s udevd $RPM_BUILD_ROOT%{_libdir}/initrd/udevstart
install -p udev-initrd/lib/udev/*_id $RPM_BUILD_ROOT%{_libdir}/initrd/udev
install -p udev-initrd/lib/udev/collect $RPM_BUILD_ROOT%{_libdir}/initrd/udev
install -p udev-initrd/lib/udev/firmware $RPM_BUILD_ROOT%{_libdir}/initrd/udev
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun core -- dev
if [ "$2" = 0 ]; then
	# need to kill and restart udevd as after obsoleting dev package the
	# /dev tree will remain empty. umask is needed as otherwise udev will
	# create devices with strange permissions (udev bug probably)
	umask 000
	/sbin/start_udev || exit 0
fi

%triggerpostun core -- udev < 108
%{__sed} -i -e 's#IMPORT{program}="/sbin/#IMPORT{program}="#g' /etc/udev/rules.d/*.rules
%if "%{_lib}" != "lib"
%{__sed} -i -e 's#/%{_lib}/udev/#/lib/udev/#g' /etc/udev/rules.d/*.rules
%endif

%triggerpostun core -- udev < 165
/sbin/udevadm info --convert-db

%triggerpostun core -- %{name}-core < 1:175-4
%systemd_trigger udev-settle.service

%post core
if [ $1 -gt 1 ]; then
	if [ ! -x /bin/systemd_booted ] || ! /bin/systemd_booted; then
		if [ -n "$(pidof udevd)" ]; then
			/sbin/udevadm control --exit
			/lib/udev/udevd --daemon
		fi
	else
		SYSTEMD_LOG_LEVEL=warning SYSTEMD_LOG_TARGET=syslog \
		/bin/systemctl --quiet try-restart udev.service || :
	fi
fi
%systemd_post udev-settle.service
 
%preun core
%systemd_preun udev-settle.service

%postun core
%systemd_reload

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%dev(c,1,3) %attr(666,root,root) /dev/null
%dev(c,5,1) %attr(660,root,console) /dev/console
%dev(c,1,5) %attr(666,root,root) /dev/zero

%files acl
%defattr(644,root,root,755)
%attr(755,root,root) /lib/udev/udev-acl
%attr(755,root,root) /usr/lib/ConsoleKit/run-seat.d/udev-acl.ck
/lib/udev/rules.d/70-udev-acl.rules

%files compat
%defattr(644,root,root,755)
/lib/udev/rules.d/30-kernel-compat.rules

%files core
%defattr(644,root,root,755)
%doc ChangeLog TODO

%dir /lib/udev

# /lib/udev/devices is recommended as a directory where packages or
# the user can place real device nodes, which get copied over to /dev at
# every boot. This should replace the various solutions with custom config
# files.
%dir /lib/udev/devices

%attr(755,root,root) /lib/udev/create_floppy_devices
%attr(755,root,root) /lib/udev/collect
%attr(755,root,root) /lib/udev/firmware

%attr(755,root,root) /lib/udev/keyboard-force-release.sh

%attr(755,root,root) /lib/udev/net_helper

%attr(755,root,root) /lib/udev/ata_id
%attr(755,root,root) /lib/udev/cdrom_id
%attr(755,root,root) /lib/udev/edd_id
%attr(755,root,root) /lib/udev/mtd_probe
%attr(755,root,root) /lib/udev/scsi_id
%attr(755,root,root) /lib/udev/v4l_id

%attr(755,root,root) /lib/udev/udevd

%attr(755,root,root) /lib/udev/keymap
%dir /lib/udev/keymaps
/lib/udev/keymaps/*

%attr(755,root,root) /lib/udev/pci-db
%attr(755,root,root) /lib/udev/usb-db

%attr(755,root,root) /lib/udev/accelerometer
%attr(755,root,root) /lib/udev/findkeyboards

%attr(755,root,root) %{_sbindir}/start_udev
%attr(755,root,root) %{_sbindir}/udevd
%attr(755,root,root) %{_sbindir}/udevadm

%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/modprobe.d/udev_blacklist.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/links.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/40-alsa-restore.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/70-udev-pld.rules

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/udev.conf

# rules below are NOT supposed to be changed by users
/lib/udev/rules.d/42-qemu-usb.rules
/lib/udev/rules.d/50-firmware.rules
/lib/udev/rules.d/50-udev-default.rules
/lib/udev/rules.d/60-cdrom_id.rules
/lib/udev/rules.d/60-floppy.rules
/lib/udev/rules.d/60-persistent-alsa.rules
/lib/udev/rules.d/60-persistent-input.rules
/lib/udev/rules.d/60-persistent-serial.rules
/lib/udev/rules.d/60-persistent-storage-tape.rules
/lib/udev/rules.d/60-persistent-storage.rules
/lib/udev/rules.d/60-persistent-v4l.rules
/lib/udev/rules.d/61-accelerometer.rules
/lib/udev/rules.d/61-persistent-storage-edd.rules
/lib/udev/rules.d/75-net-description.rules
/lib/udev/rules.d/75-probe_mtd.rules
/lib/udev/rules.d/75-tty-description.rules
/lib/udev/rules.d/78-sound-card.rules
/lib/udev/rules.d/80-drivers.rules
/lib/udev/rules.d/95-keyboard-force-release.rules
/lib/udev/rules.d/95-keymap.rules
/lib/udev/rules.d/95-udev-late.rules

%{_mandir}/man7/udev.7*
%{_mandir}/man8/*

%{systemdunitdir}/basic.target.wants/udev-trigger.service
%{systemdunitdir}/basic.target.wants/udev.service
%{systemdunitdir}/sockets.target.wants/udev-control.socket
%{systemdunitdir}/sockets.target.wants/udev-kernel.socket
%{systemdunitdir}/udev-control.socket
%{systemdunitdir}/udev-kernel.socket
%{systemdunitdir}/udev-settle.service
%{systemdunitdir}/udev-trigger.service
%{systemdunitdir}/udev.service

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libudev.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libudev.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libudev.so
%{_libdir}/libudev.la
%{_includedir}/libudev.h
%{_pkgconfigdir}/libudev.pc
%{_npkgconfigdir}/udev.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libudev.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libudev

%files glib
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libgudev-1.0.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgudev-1.0.so.0
%{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files glib-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgudev-1.0.so
%{_libdir}/libgudev-1.0.la
%{_includedir}/gudev-1.0
%{_pkgconfigdir}/gudev-1.0.pc
%{_datadir}/gir-1.0/GUdev-1.0.gir

%files glib-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgudev-1.0.a

%files glib-apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gudev

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%dir %{_libdir}/initrd/udev
%attr(755,root,root) %{_libdir}/initrd/udevd
%attr(755,root,root) %{_libdir}/initrd/udevadm
%attr(755,root,root) %{_libdir}/initrd/udevstart
%attr(755,root,root) %{_libdir}/initrd/udev/*_id
%attr(755,root,root) %{_libdir}/initrd/udev/collect
%attr(755,root,root) %{_libdir}/initrd/udev/firmware
%endif

%files initramfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-bottom/udev
%attr(755,root,root) %{_datadir}/initramfs-tools/hooks/udev
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-premount/udev

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udev.spec,v $
Revision 1.370  2012/02/19 17:48:27  baggins
- rel 6
- leave netlink devices where kernel wants them, just create our symlinks

Revision 1.369  2012/02/05 17:41:41  baggins
- rel 5
- added O:*-systemd

Revision 1.368  2012/02/05 17:01:30  baggins
- rel 4
- merged systemd stuff into core package

Revision 1.367  2012/01/30 17:35:52  arekm
- file url updated; web url dropped (not working)

Revision 1.366  2011/12/05 08:21:05  cactus
- rel 3; fix systemd_booted path

Revision 1.365  2011/12/04 20:17:55  jajcus
- BR: rpmbuild(macros) >= 1.628

Revision 1.364  2011/12/04 17:26:53  wiget
- restart udevd on upgrade

Revision 1.363  2011/12/04 15:06:43  qboosh
- pl for -systemd

Revision 1.362  2011/12/04 01:31:42  cactus
- mv to new rpm macros

Revision 1.361  2011/12/03 20:50:27  wiget
- %files cleanup

Revision 1.360  2011/12/03 16:04:48  wiget
- up to 175
- changed Source0 URL to working one
- removed unused static_extras and extras macros
- removed obsoleted rm's
- %post scripts for systemd

Revision 1.359  2011/11/27 10:26:29  wiget
- package systemd files

Revision 1.358  2011/09/27 16:42:26  baggins
- rel 3
- call alsactl from /sbin, not by its /usr symlink

Revision 1.357  2011/09/19 16:15:46  arekm
- rel 2; /lib/udev/rules.d is now part of filesystem package

Revision 1.356  2011/08/19 09:49:07  glen
- /run todo

Revision 1.355  2011/07/13 16:28:42  qboosh
- updated am/lt BRs
- udev-acl no longer uses libck-connector to interface with CK - dropped BR and bcond

Revision 1.354  2011/07/12 21:42:44  charles
- updated to 172

Revision 1.353  2011/06/29 21:07:59  arekm
- rel 2; leave floppy creation for core udev rules

Revision 1.352  2011/06/29 19:33:03  arekm
- up to 171

Revision 1.351  2011/05/20 18:04:18  arekm
- up to 170; issues from 169 fixed

Revision 1.350  2011/05/19 18:35:26  arekm
- up to 169 but rel 0.1 - new configure options are broken and don't make any effect

Revision 1.349  2011/05/11 21:30:31  charles
- removed /lib/udev/hid2hci (conflicts with bluez and this has been removed in udev 169)
- BR: zlib-devel
- release 2

Revision 1.348  2011/04/26 18:27:28  qboosh
- updated glib2 deps

Revision 1.347  2011/04/26 00:04:14  baggins
- updated uClibc patch for real
- fstab_import is gone

Revision 1.346  2011/04/25 22:08:34  baggins
- core R:filesystem with /run

Revision 1.345  2011/04/23 21:53:00  baggins
- 168

Revision 1.344  2011/03/06 17:22:22  arekm
- hint

Revision 1.343  2011/02/13 09:33:31  arekm
- up to 166

Revision 1.342  2010/12/19 10:51:12  arekm
- BC udev-devel

Revision 1.341  2010/12/18 20:41:00  arekm
- fix pci ids path

Revision 1.340  2010/12/18 20:30:29  arekm
-up to 165

Revision 1.339  2010/11/13 14:27:11  caleb
- Up to 164

Revision 1.338  2010/11/06 00:27:13  baggins
- rel 3
- add /dev/cgroup dir

Revision 1.337  2010/09/25 13:26:29  patrys
- no gir-repository

Revision 1.336  2010/09/22 12:38:30  baggins
- rel 2
- BR uClibc with working static linking on ix86

Revision 1.335  2010/09/06 17:15:34  arekm
- up to 162

Revision 1.334  2010/08/12 19:38:25  arekm
- up to 161

Revision 1.333  2010/07/14 13:11:41  arekm
- use provided compat rules instead of external ones

Revision 1.332  2010/07/14 13:07:40  arekm
- up to 160

Revision 1.331  2010/06/02 19:05:03  arekm
- up to 157

Revision 1.330  2010/05/26 05:59:57  arekm
- up to 156

Revision 1.329  2010/05/25 20:46:48  qboosh
- revised deps
- remaining pl
- consistent packages order
- ldconfig for -glib

Revision 1.328  2010/05/25 13:44:12  arekm
- up to 155

Revision 1.327  2010/05/13 06:36:33  arekm
- up to 154

Revision 1.326  2010/04/29 16:02:32  blues
- rel.2 - put suggests udev-acl to consolekit or something...

Revision 1.325  2010/04/21 22:27:58  draenog
- up to 153

Revision 1.324  2010/04/20 19:35:30  arekm
- up to 152

Revision 1.323  2010/03/18 10:04:04  jajcus
- selinux bcond fixed

Revision 1.322  2010/03/18 08:51:23  jajcus
- ConsoleKit bcond added

Revision 1.321  2010/01/28 06:33:01  arekm
- up to 151

Revision 1.320  2010/01/20 13:15:02  baggins
- ... OTOH separate udev-compat package is better

Revision 1.319  2010/01/20 11:37:18  baggins
- moved compat rules to -core (look safe to use regardless of kernel version)
- lowered uname req back to 2.6.25

Revision 1.318  2010/01/20 11:07:05  baggins
- install compat rules in /lib/...

Revision 1.317  2010/01/20 11:02:57  baggins
- added udev-compat package

Revision 1.316  2010/01/19 23:00:12  baggins
- rel 2
- build initrd package with uClibc (build and works)
- removed uClibc amd64 TODO comment (long outdated)
- add firmware loader to initrd
- always package introspection stuff

Revision 1.315  2010/01/19 16:53:29  baggins
- disable extras for initrd
- enable introspection crap for normal build (i was wrong, it's not only debug)

Revision 1.314  2010/01/14 19:37:52  arekm
- up to 150

Revision 1.313  2010/01/10 20:10:00  sparky
- __gtkdocize

Revision 1.312  2009/12/13 21:31:25  glen
- udev-acl separation
- drop main bcond -- misused already
- swap autoheader/aclocal so autoheader won't complain on autofoo version
- preserve timestamps (if any) of installed files
- rel 2

Revision 1.311  2009/12/07 17:59:50  sparky
- initrd: configure: disable introspection - fixes build without udev-glib-devel

Revision 1.310  2009/12/07 17:41:19  sparky
- BR: acl-devel, glibc-misc, pkgconfig, python-modules
- initrd BR: libusb-static
- sorted initrd BRs
- initrd does not build without udev-glib-devel installed, working on it

Revision 1.309  2009/12/04 12:26:24  arekm
- up to 149

Revision 1.308  2009/11/14 10:54:12  arekm
- rel 2; R kernel 2.6.31 + TODO

Revision 1.307  2009/11/12 20:48:28  arekm
- up to 147

Revision 1.306  2009/11/09 00:05:30  baggins
- rel 2

Revision 1.305  2009/11/08 23:23:17  baggins
- package .la files

Revision 1.304  2009/11/08 23:20:39  baggins
- more ifdef debug

Revision 1.303  2009/11/08 23:16:23  baggins
- more BR fixes, HOW this package built before?

Revision 1.302  2009/11/08 23:05:27  baggins
- proper BR
- only build introspoection crap if debug is on
- don't disable usb stuff on initrd

Revision 1.301  2009/10/24 22:57:34  sls
- install initramfs scripts outside initrd bcond

Revision 1.300  2009/08/15 20:06:43  arekm
- up to 146

Revision 1.299  2009/08/02 20:32:14  arekm
- BR gperf (from pefi)

Revision 1.298  2009/07/26 01:53:36  arekm
- 145

Revision 1.297  2009/07/22 20:47:03  patrys
- enable glib introspection
- rel 2

Revision 1.296  2009/07/10 08:53:59  arekm
- up to 144

Revision 1.295  2009/06/28 21:56:47  patrys
- up to 143
- use glibc by default (dietlibc and uClibc are missing readlinkat)

Revision 1.294.2.4  2009/06/28 21:28:15  patrys
- O: udev-extras

Revision 1.294.2.3  2009/06/28 21:26:46  patrys
- make initrd work at least with glibc

Revision 1.294.2.2  2009/06/28 18:43:06  patrys
- more BR:

Revision 1.294.2.1  2009/06/28 18:39:05  patrys
- up to 143
- udev-initrd doesn't build

Revision 1.294  2009/04/21 15:16:16  arekm
Up to 141. Fixes CVE-2009-1185, CVE-2009-1186.

Revision 1.293  2009/04/20 20:04:23  blues
- two security blockers added

Revision 1.292  2009/04/06 15:34:22  baggins
- rel 2
- proper C on geninitrd

Revision 1.291  2009/04/03 20:26:26  areq
- + dir %{_libdir}/initrd/udev

Revision 1.290  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.289  2009/03/23 13:03:13  baggins
- Conflicts: geninitrd <= 10000.3 (geninitrd-10000.3 doesn't know _libdir/initrd)

Revision 1.288  2009/03/23 12:59:05  baggins
- put programs for initrd into common directory _libdir/initrd

Revision 1.287  2009/03/18 18:57:52  arekm
- up to 140

Revision 1.286  2009/03/05 19:32:47  arekm
- up to 139

Revision 1.285  2009/03/02 12:37:18  baggins
- rel 8
- package static rule helpers for initrd package

Revision 1.284  2009/03/02 12:33:16  cieciwa
- reverted

Revision 1.283  2009/03/02 12:22:04  cieciwa
- rel. 7
- remove libvolume when removed udev-core

Revision 1.282  2009/03/02 11:21:42  baggins
- rel 6
- P dev = 3.5.0

Revision 1.281  2009/03/01 16:35:29  baggins
- rel 5
- switch to udev group names

Revision 1.280  2009/02/27 01:16:58  baggins
- rel 4
- pass --resolve-names=never to udevd on initramfs

Revision 1.279  2009/02/25 14:41:20  baggins
- rel 3
- R uclibc-static with working ppoll

Revision 1.278  2009/02/25 12:27:24  baggins
- rel 2.1

Revision 1.277  2009/02/24 14:22:56  baggins
- fixed attr for initramfs scripts

Revision 1.276  2009/02/24 14:17:51  baggins
- rel 2
- added scripts (and subpackage) for initramfs-tools

Revision 1.275  2009/02/20 10:28:38  arekm
- up to 138

Revision 1.274  2009/02/10 19:22:18  arekm
- rel 4; fixes from git

Revision 1.273  2009/01/25 22:04:57  baggins
- rel 3
- PLDize properly and fix TODO

Revision 1.272  2009/01/25 21:10:37  arekm
- release 2

Revision 1.271  2009/01/25 19:40:03  arekm
- add TODO

Revision 1.270  2009/01/25 19:29:27  arekm
- modify rules to match PLD groups

Revision 1.269  2009/01/25 18:56:22  arekm
- up to 137

Revision 1.268  2009/01/14 13:21:43  hawk
- initrd stuff must be statically linked or it will fail
- release 2

Revision 1.267  2009/01/08 23:49:41  arekm
- up to 136

Revision 1.266  2008/12/09 13:54:09  baggins
- rel 2
- added /dev/cpuset to links.conf

Revision 1.265  2008/12/03 21:52:37  arekm
- up to 135

Revision 1.264  2008/11/30 20:19:18  arekm
- up to 134

Revision 1.263  2008/11/27 14:43:07  arekm
- up to 133

Revision 1.262  2008/11/25 12:13:59  arekm
- rel 4; don't autogenerate network devices rules

Revision 1.261  2008/11/18 20:31:02  glen
- -core conflicts with version before split for smoother upgrade path with poldek; rel 3

Revision 1.260  2008/11/16 18:25:40  glen
- -initrd requires udev-core not main, not to blow up builders again; rel 2

Revision 1.259  2008/11/16 18:07:13  glen
- fix for configure_cache file being enabled

Revision 1.258  2008/11/12 09:06:54  glen
- fix subst in trigger, add note that v127 is /lib/udev for all arch

Revision 1.257  2008/11/09 14:09:06  areq
- 132

Revision 1.256  2008/10/30 19:27:40  arekm
- release 2

Revision 1.255  2008/10/28 18:04:13  qboosh
- use R for uname(release)

Revision 1.254  2008/10/25 20:46:31  arekm
- rel 1

Revision 1.253  2008/10/25 20:32:42  arekm
- C moved to core subpackage

Revision 1.252  2008/10/25 20:29:36  arekm
- no early rules file

Revision 1.251  2008/10/25 20:18:08  arekm
- drop nasty early rule (base kernel for th is 2.6.25 anyway)

Revision 1.250  2008/10/10 08:16:01  arekm
- up to 130

Revision 1.249  2008/10/06 20:46:22  qboosh
- separated -libs, fixed -devel files (duplicates with libvolume_id-devel)
- added err patch, fixed -initrd build

Revision 1.248  2008/10/06 19:10:25  arekm
- up to 129

Revision 1.247  2008/09/09 15:59:41  arekm
- start game with version 127
  NOTE: /lib/udev is now used on all arch

Revision 1.246  2008/07/23 05:06:50  qboosh
- Obsoletes: udev-tools

Revision 1.245  2008/07/22 21:32:13  arekm
- more rules cleanup

Revision 1.244  2008/07/22 21:24:37  arekm
- drop obsolete configs/rules

Revision 1.243  2008/07/22 21:10:19  arekm
- use udev.conf from udev package, no need to put it into cvs/SOURCES

Revision 1.242  2008/07/22 17:17:11  arekm
- rel 1.1 to avoid problems; it's not ready
